org.wildfly.swarm.config.modcluster.mod_cluster_config.dynamic_load_provider

## Class CustomLoadMetric<T extends CustomLoadMetric<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.modcluster.mod_cluster_config.dynamic_load_provider.CustomLoadMetric<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class CustomLoadMetric<T extends CustomLoadMetric<T>>
      extends HashMap

  Load metric definition
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomLoadMetric(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `attributeClass()` Class name of the custom metric.
    `T` | `attributeClass(String value)` Class name of the custom metric.
    `Double` | `capacity()` Capacity of the metric.
    `T` | `capacity(Double value)` Capacity of the metric.
    `String` | `getKey()`
    `Map` | `property()` Properties for the metric.
    `T` | `property(Map value)` Properties for the metric.
    `T` | `property(String key, Object value)` Properties for the metric.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Integer` | `weight()` Weight of the metric.
    `T` | `weight(Integer value)` Weight of the metric.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### CustomLoadMetric

          public CustomLoadMetric(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### capacity

          public Double capacity()

      Capacity of the metric.

    - #### capacity

          public T capacity(Double value)

      Capacity of the metric.

    - #### attributeClass

          public String attributeClass()

      Class name of the custom metric.

    - #### attributeClass

          public T attributeClass(String value)

      Class name of the custom metric.

    - #### property

          public Map property()

      Properties for the metric.

    - #### property

          public T property(Map value)

      Properties for the metric.

    - #### property

          public T property(String key,
                            Object value)

      Properties for the metric.

    - #### weight

          public Integer weight()

      Weight of the metric.

    - #### weight

          public T weight(Integer value)

      Weight of the metric.

Copyright © 2017 JBoss by Red Hat. All rights reserved.